package test;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class Test {
    public static void main(String[] args) {
        System.out.println("=================================== 시작 ");
        GlueBizController controller = GlueBizProvider.getController();
        System.out.println("=================================== bean 생성완료");

        GlueContext ctx = new GlueDefaultContext();
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "hello-service");
        ctx.put("input", "Glue");
        System.out.println(ctx);

        System.out.println("=================================== GlueContext 생성완료");
        controller.doAction(ctx);
        System.out.println("=================================== GlueService 실행완료");
        System.out.println("result : " + ctx.get("result"));
        System.out.println("=================================== 종료 ");
    }
}