package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;

public class HelloActivity extends GlueActivity<GlueContext> {
    @Override
    public String runActivity(GlueContext ctx) {
        System.out.println(String.format("파일명 : %s", Thread.currentThread().getStackTrace()[1].getFileName()));
        System.out.println(String.format("%s.%s(%s)", Thread.currentThread().getStackTrace()[1].getClassName(), Thread.currentThread().getStackTrace()[1].getMethodName(), Thread.currentThread().getStackTrace()[1].getLineNumber()));

        System.out.println("ServiceName : " + ctx.get(GlueBizControlConstants.SERVICE_NAME));
        System.out.println("This is '" + this.getName() + "' activity");

        Object input = ctx.get("input");
        System.out.println("data : input=" + input);

        Object output = "Hello" + input + "!!!";
        ctx.put("result", output);

        return GlueBizControlConstants.SUCCESS;
    }
}